<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %> 
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %> 
<f:loadBundle basename="bundle.Messages" var="Message"/> 
 
<html> 
<head><title>Login</title></head> 
<body> 
    <f:view> 
        <h:form id="loginForm"> 
            <h:message for="loginForm" /><!--  this "for" syntax is a local reference to the "loginForm" id-->
            <br />
                <h:outputText value="#{Message.username_label}" /> 
                <h:inputText id="username" value="#{LoginBean.username}" required="true"> 
                    <f:validateLength maximum="15" minimum="3" /> 
                </h:inputText>
                <h:message for="username" /><br />
                <h:outputText value="#{Message.password_label}" /> 
                <h:inputSecret id="passwordI" value="#{LoginBean.password}" required="true"> 
                    <f:validateLength maximum="15" minimum="3" /> 
                </h:inputSecret>
                <h:message for="password" /><br />  
            <h:commandButton id="submit" action="#{LoginBean.login}" value="#{Message.login_button}" /> 
        </h:form> 
    </f:view> 
</body> 
</html>
